#{extends 'borderNG.html' /}
#{set 'titleHead'}
	&{'lelang_jadwal.edit_jadwal'}
#{/set}

<ol class="breadcrumb" style="background-color: #25B396 !important;">
    <li><a href="@{BerandaCtr.index()}">&{'lelang_jadwal.beranda'}</a></li>
    <li><a href="@{devpartner.LelangDpCtr.view(lelang?.lls_id)}">&{'lelang_jadwal.info_tender'} </a></li>
    <li class="active">&{'lelang_jadwal.edit_jadwal'}</li>
</ol>

<div class="content">
    <table class="table table-bordered">
        <tr>
            <th class="bg-warning" width="150">&{'lelang_jadwal.kd_tender'}</th>
            <td>${lelang.lls_id}</td>
        </tr>
        <tr>
            <th class="bg-warning" width="150">&{'lelang_jadwal.nm_paket'}</th>
            <td>${lelang.namaPaket}</td>
        </tr>
    </table>
    <div class="bs-callout bs-callout-warning">
        - &{'lelang_jadwal.jenis_pengadaan'} &{'lelang_jadwal.jenis_pengadaan_dipastikan'}<br/>
        - &{'lelang_jadwal.alasan_karakter'}
    </div>
#{alert /}
#{form @devpartner.EvaluasiDpCtr.simpanJadwalKandidatBaru(lelang?.lls_id), method:'POST', 'data-alert':'true', id:'jadwalEdit'}
    <input type="hidden" name="id" value="${lelang.lls_id}">
    <table class="table table-condensed table-striped" id="tblJadwal" style="margin-top:20px;">
        <thead>
        <tr>
            <th width="5">&{'lelang_jadwal.no'}</th>
            <th>&{'lelang_jadwal.tahap'}</th>
            <th width="150">&{'lelang_jadwal.tgl_mulai'}</th>
            <th width="150">&{'lelang_jadwal.tgl_selesai'}</th>
        </tr>
        </thead>
        <tbody>
        #{list items:jadwalList, as:'jadwal'}
            <tr class="#{errorClass 'jadwal['+(jadwal_index-1)+']' /}">
                <td>
                    <input name="jadwalList[${jadwal_index-1}].akt_id" value="${jadwal.akt_id}" type="hidden">${jadwal_index}
                    <input name="jadwalList[${jadwal_index-1}].dtj_id" value="${jadwal.dtj_id}" type="hidden">
                    <input name="jadwalList[${jadwal_index-1}].thp_id" value="${jadwal.thp_id}" type="hidden">
                </td>
                <td>
                    ${jadwal.namaTahap()} <i class="label label-info">${jadwal.getPeriodAsString()}</i>
                    <span class="help-block">#{error 'jadwal['+(jadwal_index-1)+']' /}</span>
                </td>
                <td>
                    #{if jadwal.akt_urut >= urutStart}
                        <div class="input-group datepicker" id="${jadwal.akt_jenis.toString().toLowerCase()}_awal">
                            <input name="jadwalList[${jadwal_index-1}].dtj_tglawal" type="text"  value="${jadwal.dtj_tglawal?.toDatetimepicker()}" initial="${jadwal.dtj_tglawal?.toDatetimepicker()}" class="form-control input-sm datepicker" />
                        </div>
                    #{/if}
                    #{else}
                        ${jadwal.dtj_tglawal?.formatDateTime()} <input name="jadwalList[${jadwal_index-1}].dtj_tglawal" value="${jadwal.dtj_tglawal?.toDatetimepicker()}" type="hidden">
                    #{/else}
                </td>
                <td>
                    #{if jadwal.akt_urut >= urutStart}
                        <div class="input-group datepicker" id="${jadwal.akt_jenis.toString().toLowerCase()}_akhir">
                            <input name="jadwalList[${jadwal_index-1}].dtj_tglakhir" type="text" value="${jadwal.dtj_tglakhir?.toDatetimepicker()}" initial="${jadwal.dtj_tglakhir?.toDatetimepicker()}" class="form-control input-sm datepicker" />
                        </div>
                    #{/if}
                    #{else}
                        ${jadwal.dtj_tglakhir?.formatDateTime()} <input name="jadwalList[${jadwal_index-1}].dtj_tglakhir" value="${jadwal.dtj_tglakhir?.toDatetimepicker()}" type="hidden">
                    #{/else}
                </td>
			</tr>
        #{/list}
        </tbody>
    </table>
    #{saveButton /}

    #{backButton action:@devpartner.LelangDpCtr.view(lelang.lls_id) /}

#{/form}
</div>
#{set 'css_custom'}
<link rel="stylesheet" href="#{assets '/bootstrap/css/bootstrap-datetimepicker.min.css'/}" type="text/css" media="screen" />
<style type="text/css">
	.bootstrap-select.btn-group .dropdown-menu {
		max-width: 700px;
	}

	.bootstrap-select.btn-group .dropdown-menu li a span.text {
		display: block !important;
		overflow: hidden;
		word-wrap: break-word;
		white-space: normal;
	}
</style>
#{/set }

#{set 'custom_script'}
<script type="text/javascript" src="#{assets '/bootstrap/js/moment.min.js'/}"></script>
<script type="text/javascript" src="#{assets '/bootstrap/js/bootstrap-datetimepicker.min.js'/}"></script>
<script type="text/javascript" src="#{assets '/javascripts/form.util.js'/}"></script>
<script type="text/javascript">
    $(".form-control.datepicker").focus(function (ev) {
        //jika masih kosong maka isikan jam default 00:00 atau 23:59
        var dateName = $(this).attr("name");
        var isAwal = (dateName.indexOf("awal")) >= 0;
        var dateValue = $(this).val();
        var initialValue = $(this).attr("initial");
        if (isAwal)
            postfix = "00:00";
        else
            postfix = "23:59";

        if (initialValue == "") {
            //pastikan bahwa jika Jam sudah pernah diisi maka tidak di-reset lagi menjadi 00:00 atau 23:59
            ary = dateValue.split(" ");
            initialValue = ary[0] + " " + postfix;
            $(this).data("DateTimePicker").setDate(initialValue);
            $(this).attr("initial", initialValue);
        }
    })
</script>
#{/set}
